Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::text_node::glyph_geometry Struct Reference

List of all members.

## Detailed Description

Used to hold the geometry of individual glyphs.

For internal use only.

## Public Member Functions

| glyph_geometry (const std::vector< std::vector< vec2f > > &contours, float advance_width, float advance_height) throw (std::bad_alloc)
| Construct from a set of contours.

## Public Attributes

std::vector< vec2f > | coord
| Glyph coordinates.
std::vector< int32 > | coord_index
| Glyph coordinate indices.
float | advance_width
| The distance the pen should advance horizontally after drawing the glyph.
float | advance_height
| The distance the pen should advance vertically after drawing the glyph.

## Constructor & Destructor Documentation

openvrml::vrml97_node::text_node::glyph_geometry::glyph_geometry | ( | const std::vector< std::vector< vec2f > > & | contours,
|  | float | advance_width,
|  | float | advance_height
| ) | throw (std::bad_alloc)

Construct from a set of contours.

Parameters:

  | contours | a vector of closed contours that make up the glyph's outline.
  | advance_width | the distance the pen should advance horizontally after drawing the glyph.
  | advance_height | the distance the pen should advance vertically after drawing the glyph.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

## Member Data Documentation

std::vector< vec2f > openvrml::vrml97_node::text_node::glyph_geometry::coord

| Glyph coordinates.

std::vector< int32 > openvrml::vrml97_node::text_node::glyph_geometry::coord_index

| Glyph coordinate indices.

float openvrml::vrml97_node::text_node::glyph_geometry::advance_width

| The distance the pen should advance horizontally after drawing the glyph.

float openvrml::vrml97_node::text_node::glyph_geometry::advance_height

| The distance the pen should advance vertically after drawing the glyph.